import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner task get

Retrieves the specified planner task

## Usage

```sh
m365 planner task get [options]
```

## Options

```md definition-list
`-i, --id  [id]`
: ID of the task. Specify either `id` or `title` but not both. When you specify the task ID, you no longer need to provide the information for `bucket`, `plan`, and `ownerGroup`.

`-t, --title [title]`
: Title of the task. Specify either `id` or `title` but not both.

`--bucketId [bucketId]`
: ID of the bucket to which the task belongs. Specify `bucketId` or `bucketName` when using `title`.

`--bucketName [bucketName]`
: Name of the bucket to which the task belongs. Specify `bucketId` or `bucketName` when using `title`.

`--planId [planId]`
: ID of the plan to which the task belongs. Specify either `planId`, `planTitle`, or `rosterId` when using `bucketName`.

`--planTitle [planTitle]`
: Title of the plan to which the task belongs. Specify either `planId`, `planTitle`, or `rosterId` when using `bucketName`.

`--rosterId [rosterId]`
: ID of the Planner Roster. Specify either `planId`, `planTitle`, or `rosterId` when using `bucketName`.

`--ownerGroupId [ownerGroupId]`
: ID of the group to which the plan belongs. Specify `ownerGroupId` or `ownerGroupName` when using `planTitle`.

`--ownerGroupName [ownerGroupName]`
: Name of the group to which the plan belongs. Specify `ownerGroupId` or `ownerGroupName` when using `planTitle`.
```

<Global />

## Remarks

:::warning

When using `rosterId`, the command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                      |
  |-----------------|----------------------------------|
  | Microsoft Graph | Tasks.Read, GroupMember.Read.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                          |
  |-----------------|--------------------------------------|
  | Microsoft Graph | Tasks.Read.All, GroupMember.Read.All |

  </TabItem>
</Tabs>

## Examples

Returns the Microsoft Planner task by id.

```sh
m365 planner task get --id "vzCcZoOv-U27PwydxHB8opcADJo-"
```

Retrieve the Microsoft Planner task by title from the specified bucket. Based on the specified plan with the title owned by the specified group.

```sh
m365 planner task get --title "My Planner Task" --bucketName "My Planner Bucket" --planTitle "My Planner Plan" --ownerGroupName "My Planner Group"
```

Returns the Microsoft Planner task by rosterId from the specified bucket.

```sh
m365 planner task get --title "New Task" --bucketName "To do" --rosterId "8bc07d47-c06f-41e1-8f00-1c113c8f6067"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "planId": "oUHpnKBFekqfGE_PS6GGUZcAFY7b",
    "bucketId": "vncYUXCRBke28qMLB-d4xJcACtNz",
    "title": "Important task",
    "orderHint": "8585269235419217847",
    "assigneePriority": "",
    "percentComplete": 50,
    "startDateTime": "2023-01-20T00:00:00Z",
    "createdDateTime": "2023-01-25T21:49:03.555796Z",
    "dueDateTime": "2023-02-15T00:00:00Z",
    "hasDescription": true,
    "previewType": "automatic",
    "completedDateTime": null,
    "completedBy": null,
    "referenceCount": 0,
    "checklistItemCount": 2,
    "activeChecklistItemCount": 2,
    "conversationThreadId": null,
    "priority": 5,
    "id": "OopX1ANphEu7Lm4-0tVtl5cAFRGQ",
    "createdBy": {
      "user": {
        "displayName": null,
        "id": "b2091e18-7882-4efe-b7d1-90703f5a5c65"
      },
      "application": {
        "displayName": null,
        "id": "31359c7f-bd7e-475c-86db-fdb8c937548e"
      }
    },
    "appliedCategories": {},
    "assignments": {},
    "description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    "references": {},
    "checklist": {
      "4e3c8841-560c-436e-ba06-cc7731680d59": {
        "isChecked": false,
        "title": "Communicate with customer",
        "orderHint": "8585269209601773376",
        "lastModifiedDateTime": "2023-01-25T22:32:05.3002431Z",
        "lastModifiedBy": {
          "user": {
            "displayName": null,
            "id": "b2091e18-7882-4efe-b7d1-90703f5a5c65"
          }
        }
      }
    }
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```txt
  activeChecklistItemCount: 1
  appliedCategories       : {}
  assigneePriority        :
  assignments             : {}
  bucketId                : vncYUXCRBke28qMLB-d4xJcACtNz
  checklist               : {"4e3c8841-560c-436e-ba06-cc7731680d59":{"isChecked":false,"title":"Communicate with customer","orderHint":"8585269209601773376","lastModifiedDateTime":"2023-01-25T22:32:05.3002431Z","lastModifiedBy":{"user":{"displayName":null,"id":"b2091e18-7882-4efe-b7d1-90703f5a5c65"}}}}
  checklistItemCount      : 1
  completedBy             : null
  completedDateTime       : null
  conversationThreadId    : null
  createdBy               : {"user":{"displayName":null,"id":"b2091e18-7882-4efe-b7d1-90703f5a5c65"},"application":{"displayName":null,"id":"31359c7f-bd7e-475c-86db-fdb8c937548e"}}
  createdDateTime         : 2023-01-25T21:49:03.555796Z
  description             : Lorem ipsum dolor sit amet, consectetur adipiscing elit.
  dueDateTime             : 2023-02-15T00:00:00Z
  hasDescription          : true
  id                      : OopX1ANphEu7Lm4-0tVtl5cAFRGQ
  orderHint               : 8585269235419217847
  percentComplete         : 50
  planId                  : oUHpnKBFekqfGE_PS6GGUZcAFY7b
  previewType             : automatic
  priority                : 5
  referenceCount          : 0
  references              : {}
  startDateTime           : 2023-01-20T00:00:00Z
  title                   : Important task
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  planId,bucketId,title,orderHint,assigneePriority,percentComplete,startDateTime,createdDateTime,dueDateTime,hasDescription,previewType,completedDateTime,completedBy,referenceCount,checklistItemCount,activeChecklistItemCount,conversationThreadId,priority,id,createdBy,appliedCategories,assignments,description,references,checklist
  oUHpnKBFekqfGE_PS6GGUZcAFY7b,vncYUXCRBke28qMLB-d4xJcACtNz,Important task,8585269235419217847,,50,2023-01-20T00:00:00Z,2023-01-25T21:49:03.555796Z,2023-02-15T00:00:00Z,1,automatic,,,0,1,1,,5,OopX1ANphEu7Lm4-0tVtl5cAFRGQ,"{""user"":{""displayName"":null,""id"":""b2091e18-7882-4efe-b7d1-90703f5a5c65""},""application"":{""displayName"":null,""id"":""31359c7f-bd7e-475c-86db-fdb8c937548e""}}",{},{},"Lorem ipsum dolor sit amet, consectetur adipiscing elit.",{},"{""4e3c8841-560c-436e-ba06-cc7731680d59"":{""isChecked"":false,""title"":""Communicate with customer"",""orderHint"":""8585269209601773376"",""lastModifiedDateTime"":""2023-01-25T22:32:05.3002431Z"",""lastModifiedBy"":{""user"":{""displayName"":null,""id"":""b2091e18-7882-4efe-b7d1-90703f5a5c65""}}}}"
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner task get --id "OopX1ANphEu7Lm4-0tVtl5cAFRGQ"

  Date: 25/1/2023

  ## Important task (OopX1ANphEu7Lm4-0tVtl5cAFRGQ)

  Property | Value
  ---------|-------
  planId | oUHpnKBFekqfGE\_PS6GGUZcAFY7b
  bucketId | vncYUXCRBke28qMLB-d4xJcACtNz
  title | Important task
  orderHint | 8585269235419217847
  assigneePriority |
  percentComplete | 50
  startDateTime | 2023-01-20T00:00:00Z
  createdDateTime | 2023-01-25T21:49:03.555796Z
  dueDateTime | 2023-02-15T00:00:00Z
  hasDescription | true
  previewType | automatic
  completedDateTime | null
  completedBy | null
  referenceCount | 0
  checklistItemCount | 1
  activeChecklistItemCount | 1
  conversationThreadId | null
  priority | 5
  id | OopX1ANphEu7Lm4-0tVtl5cAFRGQ
  ```

  </TabItem>
</Tabs>
